"use strict";
// Copyright (c) Jupyter Development Team.
// Distributed under the terms of the Modified BSD License.
Object.defineProperty(exports, "__esModule", { value: true });
var apputils_1 = require("@jupyterlab/apputils");
var React = require("react");
/**
 * Show a dialog box reporting an error during installation of an extension.
 *
 * @param name The name of the extension
 * @param errorMessage Any error message giving details about the failure.
 */
function reportInstallError(name, errorMessage) {
    var entries = [];
    entries.push(React.createElement("p", null,
        "An error occurred installing ",
        React.createElement("code", null, name),
        "."));
    if (errorMessage) {
        entries.push(React.createElement("p", null,
            React.createElement("span", { className: "jp-discovery-dialog-subheader" }, "Error message:"),
            React.createElement("pre", null, errorMessage.trim())));
    }
    var body = (React.createElement("div", { className: "jp-discovery-dialog" }, entries));
    apputils_1.showDialog({
        title: 'Extension Installation Error',
        body: body,
        buttons: [
            apputils_1.Dialog.warnButton({ label: 'OK' })
        ],
    });
}
exports.reportInstallError = reportInstallError;
//# sourceMappingURL=dialog.js.map